CVE-2007-4997

HIGH

Description

Integer underflow in the ieee80211_rx function in net/ieee80211/ieee80211_rx.c in the Linux kernel 2.6.x before 2.6.23 allows remote attackers to cause a denial of service (crash) via a crafted SKB length value in a runt IEEE 802.11 frame when the IEEE80211_STYPE_QOS_DATA flag is set, aka an "off-by-two error."

References

ftp://ftp.kernel.org/pub/linux/kernel/people/bunk/linux-2.6.16.y/testing/ChangeLog-2.6.16.57-rc1

http://git.kernel.org/?p=linux/kernel/git/avi/kvm.git;a=commitdiff;h=04045f98e0457aba7d4e6736f37eed189c48a5f7

http://lists.opensuse.org/opensuse-security-announce/2007-12/msg00001.html

http://lists.opensuse.org/opensuse-security-announce/2008-02/msg00002.html

http://secunia.com/advisories/27555

http://secunia.com/advisories/27614

http://secunia.com/advisories/27824

http://secunia.com/advisories/27912

http://secunia.com/advisories/28033

http://secunia.com/advisories/28162

http://secunia.com/advisories/28170

http://secunia.com/advisories/28706

http://secunia.com/advisories/28806

http://secunia.com/advisories/28971

http://www.debian.org/security/2007/dsa-1428

http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.23

http://www.mandriva.com/security/advisories?name=MDKSA-2007:226

http://www.mandriva.com/security/advisories?name=MDKSA-2007:232

http://www.mandriva.com/security/advisories?name=MDVSA-2008:008

http://www.mandriva.com/security/advisories?name=MDVSA-2008:105

http://www.novell.com/linux/security/advisories/2007_59_kernel.html

http://www.redhat.com/support/errata/RHSA-2007-0993.html

http://www.redhat.com/support/errata/RHSA-2007-1104.html

http://www.securityfocus.com/bid/26337

http://www.ubuntu.com/usn/usn-558-1

http://www.ubuntu.com/usn/usn-574-1

http://www.ubuntu.com/usn/usn-578-1

http://www.vupen.com/english/advisories/2007/3718

https://exchange.xforce.ibmcloud.com/vulnerabilities/38247

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10596

Details

Source: MITRE

Published: 2007-11-06

Updated: 2017-09-29

Type: CWE-189

Risk Information

CVSS v2.0

Base Score: 7.1

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:C

Impact Score: 6.9

Exploitability Score: 8.6

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:o:linux:linux_kernel:*:*:*:*:*:*:*:* versions up to 2.6.22.7 (inclusive)

Tenable Plugins

View all (18 total)

IDNameProductFamilySeverity
67619Oracle Linux 4 : kernel (ELSA-2007-1104)NessusOracle Linux Local Security Checks
high
67595Oracle Linux 5 : kernel (ELSA-2007-0993)NessusOracle Linux Local Security Checks
high
60335Scientific Linux Security Update : kernel on SL4.x i386/x86_64NessusScientific Linux Local Security Checks
high
60318Scientific Linux Security Update : kernel on SL5.x i386/x86_64NessusScientific Linux Local Security Checks
high
59125SuSE 10 Security Update : Linux kernel (ZYPP Patch Number 4745)NessusSuSE Local Security Checks
high
37772Mandriva Linux Security Advisory : kernel (MDVSA-2008:105)NessusMandriva Local Security Checks
high
36221Mandrake Linux Security Advisory : kernel (MDKSA-2007:232)NessusMandriva Local Security Checks
high
31093Ubuntu 6.06 LTS : linux-source-2.6.15 vulnerabilities (USN-578-1)NessusUbuntu Local Security Checks
high
30183Ubuntu 6.10 / 7.04 / 7.10 : linux-source-2.6.17/20/22 vulnerabilities (USN-574-1)NessusUbuntu Local Security Checks
high
30142openSUSE 10 Security Update : kernel (kernel-4929)NessusSuSE Local Security Checks
high
29880openSUSE 10 Security Update : kernel (kernel-4752)NessusSuSE Local Security Checks
high
29774RHEL 4 : kernel (RHSA-2007:1104)NessusRed Hat Local Security Checks
high
29751CentOS 4 : kernel (CESA-2007:1104)NessusCentOS Local Security Checks
high
29740Ubuntu 6.10 / 7.04 / 7.10 : linux-source-2.6.17/20/22 vulnerabilities (USN-558-1)NessusUbuntu Local Security Checks
high
29489SuSE 10 Security Update : Linux kernel (ZYPP Patch Number 4741)NessusSuSE Local Security Checks
high
29263Debian DSA-1428-2 : linux-2.6 - several vulnerabilitiesNessusDebian Local Security Checks
high
28363RHEL 5 : kernel (RHSA-2007:0993)NessusRed Hat Local Security Checks
high
28172openSUSE 10 Security Update : kernel (kernel-4641)NessusSuSE Local Security Checks
high